## org.hibernate.metamodel.source.hbm
Class BagAttributeSourceImpl

    java.lang.Object
      org.hibernate.metamodel.source.hbm.AbstractPluralAttributeSourceImpl
          org.hibernate.metamodel.source.hbm.BagAttributeSourceImpl

All Implemented Interfaces:
  AssociationAttributeSource, AttributeSource, Orderable, PluralAttributeSource

    public class BagAttributeSourceImpl

extends AbstractPluralAttributeSourceImpl
implements Orderable

Constructor Summary
`BagAttributeSourceImpl(JaxbBagElement bagElement, AttributeSourceContainer container)`

Method Summary
`String` `getOrder()`
`JaxbBagElement` `getPluralAttributeElement()`
`PluralAttributeNature` `getPluralAttributeNature()`
`boolean` `isOrdered()`

Methods inherited from class org.hibernate.metamodel.source.hbm.AbstractPluralAttributeSourceImpl

`bindingContext, container, getCaching, getCascadeStyles, getCollectionTableCheck, getCollectionTableComment, getCustomLoaderName, getCustomPersisterClassName, getCustomSqlDelete, getCustomSqlDeleteAll, getCustomSqlInsert, getCustomSqlUpdate, getElementSource, getExplicitCatalogName, getExplicitCollectionTableName, getExplicitSchemaName, getFetchMode, getFetchStyle, getFetchTiming, getKeySource, getName, getPropertyAccessorName, getTypeInformation, getWhere, isIncludedInOptimisticLocking, isInverse, isSingular, metaAttributes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BagAttributeSourceImpl

    public BagAttributeSourceImpl(JaxbBagElement bagElement,
                                  AttributeSourceContainer container)

Method Detail

### getPluralAttributeNature

    public PluralAttributeNature getPluralAttributeNature()

  Specified by:
    `getPluralAttributeNature` in interface `PluralAttributeSource`

### getPluralAttributeElement

    public JaxbBagElement getPluralAttributeElement()

  Overrides:
    `getPluralAttributeElement` in class `AbstractPluralAttributeSourceImpl`

### isOrdered

    public boolean isOrdered()

  Specified by:
    `isOrdered` in interface `Orderable`

### getOrder

    public String getOrder()

  Specified by:
    `getOrder` in interface `Orderable`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.